Enable single edit tab on enwiki
Closed, ResolvedPublic8 Story Points

Description

(was the description blank? Or did I accidentally blank it?)

Related Objects

Restricted Application added subscribers: JEumerus, Dereckson, Matanya, Aklapper. · View Herald TranscriptMar 1 2016, 4:36 PM

Change 274131 had a related patch set uploaded (by Jforrester):
Enable VisualEditor Single Edit Tab on the English Wikipedia

https://gerrit.wikimedia.org/r/274131

Elitre added a subscriber: Elitre.Apr 6 2016, 7:16 AM

Change 274131 merged by jenkins-bot:
Enable VisualEditor Single Edit Tab on the English Wikipedia

https://gerrit.wikimedia.org/r/274131

Ricordisamoa added a subscriber: Ricordisamoa.
Alsee reopened this task as Open.Apr 12 2016, 8:17 PM
Alsee updated the task description. (Show Details)
Alsee updated the task description. (Show Details)Apr 12 2016, 8:21 PM
Alsee updated the task description. (Show Details)Apr 12 2016, 8:26 PM
Alsee added a subscriber: Alsee.EditedApr 12 2016, 8:30 PM

Please REVERT or FIX immediately.

@Jdforrester-WMF you explicitly assured me that the WMF was not going to try to slip in a Visual Editor default as part of the Single Edit Tab deployment.

I just created a new account. I went to a random article. I was given only one edit tab. Clicking edit freezes up my browser for a random timespan while Visual editor is forced to load first. I was assured that Wikitext was the "Primary editor" and that the "Primary editor" would load first. Then a popup appears with two options: "Continue" in the current editor (fine, once the correct primary is loaded), and a "Switch" option to initiate a load of the alternate editor. The "Switch" option will need a text-tweak to accurately indicate that it's switching to Visual.

( Note: I intended to reopen and write a reply, but I accidentally reopened and replaced the task description. The Show-Details link seems to indicate I replaced a blank description? I just want to make sure I didn't accidentally wipe out a description here.)

(Oops, sorry. I did not mean to replace the description. I intended to reopen and write a reply. I'm trying to restore the original description, but I have not yet found a revert option or a copy of the original text.)

Phabricator has no simple way to revert accidental or malicious changes :( I guess you can complain on T84.

(was the description blank? Or did I accidentally blank it?)

Yes, it seems that the description was blank.

matmarex removed a subscriber: matmarex.Apr 12 2016, 8:33 PM

meh, phabricator should show edit-conflicts :-/

Jdforrester-WMF closed this task as Resolved.

This was done on 12 April; see T132806 for the request to undo a related change, which I have declined with reasoning there.